Page MenuHomePhabricator

Deploy Beta feature for constraint suggestions
Closed, ResolvedPublic

Description

Target: 16/10/2018

  • Have a quick chat with the product owner for Beta Features (currently James Forrester)
  • Make an extension - Part of Wikibase
  • Get preliminary design review - Done internally (WMDE)
  • Get preliminary security review - Done internally (WMDE)
  • Get preliminary performance review - Done internally (WMDE)
  • Make sure there is a wiki page on MediaWiki.org for it that is understandable to the general public
  • Ensure that the talk page for the project is using Flow[citation needed]
    • Also on wikidata.org
  • Make sure there is someone on point for feedback, acting as a product manager (either volunteer or WMF staff)
  • Make a Phabricator project for the extension Not needed, it is part of Wikibase
  • Enable the "final version" of the code on Beta Cluster at least a week before you want to go for production.
  • Make gerrit change (do not merge) to the Beta Features whitelist in mediawiki configuration - https://gerrit.wikimedia.org/r/#/c/467691/
  • Deploy!

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 15 2018, 12:03 PM
Addshore triaged this task as Medium priority.Oct 15 2018, 12:28 PM

Change 463439 had a related patch set uploaded (by Addshore; owner: Jonas Kress (WMDE)):
[operations/mediawiki-config@master] Enable WBQualityConstraintsSuggestionsBetaFeature in production

https://gerrit.wikimedia.org/r/463439

Change 467343 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Enable WBQualityConstraintsSuggestionsBetaFeature on wikidatawiki

https://gerrit.wikimedia.org/r/467343

I have scheduled deployment for this to testwikidatawiki today.
@Jonas already ha schedule this for wikidata.org tommorrow during EU swat

Tarrow added a subscriber: Tarrow.Oct 15 2018, 2:20 PM

Looks like @Jonas is away (according to the calendar) so I guess a camper may need to take this over

Change 463439 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable WBQualityConstraintsSuggestionsBetaFeature on testwikidatawiki

https://gerrit.wikimedia.org/r/463439

Mentioned in SAL (#wikimedia-operations) [2018-10-15T18:10:05Z] <addshore@deploy1001> Synchronized wmf-config/Wikibase-production.php: SWAT: T207019 Enable WBQualityConstraintsSuggestionsBetaFeature on testwikidatawiki (duration: 00m 49s)

This didn't work on testwikidatawiki, at least not for me.
I'll investigate in the morning

I'm not super clear but was this being clobbered by the monkey patching which we're intending to disable when https://gerrit.wikimedia.org/r/c/mediawiki/extensions/PropertySuggester/+/458187 merges

Restricted Application added a project: User-Addshore. · View Herald TranscriptOct 16 2018, 2:08 PM
Addshore updated the task description. (Show Details)Oct 16 2018, 2:08 PM

Change 467691 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Add constraint-suggestions to wgBetaFeaturesWhitelist

https://gerrit.wikimedia.org/r/467691

Addshore updated the task description. (Show Details)Oct 16 2018, 2:21 PM
Addshore updated the task description. (Show Details)Oct 16 2018, 2:24 PM
Addshore updated the task description. (Show Details)
Addshore updated the task description. (Show Details)
Addshore updated the task description. (Show Details)Oct 16 2018, 2:28 PM

Change 467691 merged by jenkins-bot:
[operations/mediawiki-config@master] Add constraint-suggestions to wgBetaFeaturesWhitelist

https://gerrit.wikimedia.org/r/467691

Change 467343 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable WBQualityConstraintsSuggestionsBetaFeature on wikidatawiki

https://gerrit.wikimedia.org/r/467343

Mentioned in SAL (#wikimedia-operations) [2018-10-17T11:08:52Z] <addshore@deploy1001> Synchronized wmf-config/Wikibase-production.php: SWAT: T207019 [[gerrit:467343]] Enable WBQualityConstraintsSuggestionsBetaFeature on wikidatawiki (duration: 00m 56s)

It works \o/